# Лабораторная работа 1
Данная работа посвящена работе с docker compose и поднятию сервисов, необходимых для последующего выполнения работ.
## Описание
В качестве сервисов были выбраны:
 - СУБД - Postgres
 - Web интерфейс для БД Postgres - Adminer
 - Брокер сообщений - RabbitMQ (+ Web интерфейс)
## Запуск
Для запуска лабораторной работы необходимо иметь запущенный движок Docker на устройстве.
Необходимо перейти в папку, где располагается данный файл. Далее открыть терминал и ввести команду:
```
docker compose up -d
```
В данном случае флаг `-d` не обязателен. Он лишь позволит оставить консоль интерактивной (запускает все контейнеры в фоновом режиме).  
В случае, если в консоли отобразился подобный текст и появилась возможность вводить команды - сервисы успешно запущены. 
```
[+] Running 4/4  
 ✔ Network kuzarin_maxim_lab_1_default         Created                                                             0.0s
 ✔ Container kuzarin_maxim_lab_1-db-1          Started                                                             0.7s
 ✔ Container kuzarin_maxim_lab_1-rabbit-1      Started                                                             0.7s
 ✔ Container kuzarin_maxim_lab_1-db_web_gui-1  Started                                                             0.7s
```
## Описание compose файла
В docker-compose файле все уникальные строчки помечены комментариями. Они описывают их предназначения, и иногда обосновывают принятые решения.
Так же комментарии присутствуют в файле .env, где хранятся переменные среды, нужные для работы compose файла. 
## Видео демонстрация
Был записан видеоролик, демонстрирующий процесс запуска и работы сервисов. Он расположен по [адресу](https://drive.google.com/file/d/1ouUc-3eYhaJIR0HhD4b_Lj73oxEqORpA/view?usp=sharing)
